package com.jisco.dynamicweight.dynamicworkupdata.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class AuditDataVO {
    @ApiModelProperty(value="物料名称",required=false)
    private String materialName;
    @ApiModelProperty(value="站点名称",required=false)
    private String stationName;
    @ApiModelProperty(value="发货库房",required=false)
    private String senderName;
    @ApiModelProperty(value="收货库房",required=false)
    private String recieverName;
    @ApiModelProperty(value="8:00",required=false)
    private BigDecimal bl8;
    @ApiModelProperty(value="16:00",required=false)
    private BigDecimal bl16;
    @ApiModelProperty(value="24:00",required=false)
    private BigDecimal bl24;
    @ApiModelProperty(value="日累计量",required=false)
    private BigDecimal rzl;
    @ApiModelProperty(value="物料编码",required=false)
    private String materialCode;
    @ApiModelProperty(value="站点编码",required=false)
    private String stationCode;
    @ApiModelProperty(value="收货库房编码",required=false)
    private String recieverCode;
    @ApiModelProperty(value="收货点类型",required=false)
    private String recieverType;
    @ApiModelProperty(value="发货库房编码",required=false)
    private String senderCode;
    @ApiModelProperty(value="发货点类型",required=false)
    private String senderType;
    @ApiModelProperty(value="状态",required=false)
    private String validFlag;

    public String getAuditingFlag() {
        return auditingFlag;
    }

    public void setAuditingFlag(String auditingFlag) {
        this.auditingFlag = auditingFlag;
    }

    @ApiModelProperty(value="审核标志",required=false)
    private String auditingFlag;

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getRecieverCode() {
        return recieverCode;
    }

    public void setRecieverCode(String recieverCode) {
        this.recieverCode = recieverCode;
    }

    public String getRecieverName() {
        return recieverName;
    }

    public void setRecieverName(String recieverName) {
        this.recieverName = recieverName;
    }

    public String getRecieverType() {
        return recieverType;
    }

    public void setRecieverType(String recieverType) {
        this.recieverType = recieverType;
    }

    public String getSenderCode() {
        return senderCode;
    }

    public void setSenderCode(String senderCode) {
        this.senderCode = senderCode;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType;
    }

    public BigDecimal getBl8() {
        return bl8;
    }

    public void setBl8(BigDecimal bl8) {
        this.bl8 = bl8;
    }

    public BigDecimal getBl16() {
        return bl16;
    }

    public void setBl16(BigDecimal bl16) {
        this.bl16 = bl16;
    }

    public BigDecimal getBl24() {
        return bl24;
    }

    public void setBl24(BigDecimal bl24) {
        this.bl24 = bl24;
    }

    public BigDecimal getRzl() {
        return rzl;
    }

    public void setRzl(BigDecimal rzl) {
        this.rzl = rzl;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    @Override
    public String toString() {
        return "AuditDataVO{" +
                "materialName='" + materialName + '\'' +
                ", stationName='" + stationName + '\'' +
                ", senderName='" + senderName + '\'' +
                ", recieverName='" + recieverName + '\'' +
                ", bl8=" + bl8 +
                ", bl16=" + bl16 +
                ", bl24=" + bl24 +
                ", rzl=" + rzl +
                ", materialCode='" + materialCode + '\'' +
                ", stationCode='" + stationCode + '\'' +
                ", recieverCode='" + recieverCode + '\'' +
                ", recieverType='" + recieverType + '\'' +
                ", senderCode='" + senderCode + '\'' +
                ", senderType='" + senderType + '\'' +
                ", validFlag='" + validFlag + '\'' +
                ", auditingFlag='" + auditingFlag + '\'' +
                '}';
    }
}
